# Class Nettoyage

java.lang.Object
ecoparasite.nettoyage.Nettoyage

public class Nettoyage extends Object
Class Définissant les méthodes statics de Nettoyage des données

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Nettoyage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T, V extends Number>
  HashSet<T>`
  `nettoieColumnsLinear(HashSet<T> list, Function<T,V> getX, Function<T,V> getY, BiConsumer<T,V> setY)`
  Polymorphisme de la fonction nettoyage de colonne linéaire avec par défaut, l'autorisation des valeurs négatives.
  `static <T, V extends Number>
  HashSet<T>`
  `nettoieColumnsLinear(HashSet<T> list, Function<T,V> getX, Function<T,V> getY, BiConsumer<T,V> setY, boolean allowNegative)`
  Permet de remplacer les valeurs abérrantes d'un paramètre d'un HashSet à l'aide d'une regression linéaire, corrélation entre deux valeurs.
  `static <T, V extends Number>
  HashSet<T>`
  `nettoieColumnsMoyenne(HashSet<T> list, Function<T,V> getValue, BiConsumer<T,V> setValue)`
  Polymorphisme de la fonction précédente.
  `static <T, V extends Number>
  HashSet<T>`
  `nettoieColumnsMoyenne(HashSet<T> list, Function<T,V> getValue, BiConsumer<T,V> setValue, boolean allowNegative)`
  Permet de remplacer les valeurs abérrantes d'un paramètre d'un HashSet par la moyenne des autres valeurs (non nulles).

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Nettoyage

    public Nettoyage()

- ## Method Details

  - ### nettoieColumnsMoyenne

    public static <T, V extends Number> HashSet<T> nettoieColumnsMoyenne(HashSet<T> list, Function<T,V> getValue, BiConsumer<T,V> setValue, boolean allowNegative)
    Permet de remplacer les valeurs abérrantes d'un paramètre d'un HashSet par la moyenne des autres valeurs (non nulles). Exemple d'utilisation : T = Poisson, V = Double, getValue = Poisson::getInfestation, setValue = Poisson::setInfestation.
    Type Parameters:
      `T` - Le type de données cobaye. Exemple : Poisson, Population
      `V` - Le type de la donnée à vérifier, doit être un Wrapper Number. Exemple : Double.
    Parameters:
      `list` - La liste de données cobaye.
      `getValue` - La fonction (Getter) qui permet d'obtenir la valeur que l'on veut vérifier
      `setValue` - La fonction (Setter) qui permet de remplacer la valeur si null.
      `allowNegative` - Savoir si une valeur négative est forcément aberrant.
    Returns:
      Le HashSet avec les valeurs remplacés.

  - ### nettoieColumnsMoyenne

    public static <T, V extends Number> HashSet<T> nettoieColumnsMoyenne(HashSet<T> list, Function<T,V> getValue, BiConsumer<T,V> setValue)
    Polymorphisme de la fonction précédente. Autorise les valeurs abérrantes à être négative.
    Type Parameters:
      `T` -
      `V` -
    Parameters:
      `list` -
      `getValue` -
      `setValue` -
    Returns:

  - ### nettoieColumnsLinear

    public static <T, V extends Number> HashSet<T> nettoieColumnsLinear(HashSet<T> list, Function<T,V> getX, Function<T,V> getY, BiConsumer<T,V> setY, boolean allowNegative)
    Permet de remplacer les valeurs abérrantes d'un paramètre d'un HashSet à l'aide d'une regression linéaire, corrélation entre deux valeurs. Exemple d'utilisation : T = Poisson, V = Double, getX = Poisson::getWidth, getY = Poisson::getInfes, setY = Poisson::setInfes
    Type Parameters:
      `T` - Le type de données cobaye. Exemple : Poisson, Population
      `V` - Le type de la donnée à vérifier, doit être un Wrapper Number. Exemple : Double.
    Parameters:
      `list` - La liste de données cobaye.
      `getX` - La fonction (Getter) qui permet d'obtenir les données du X de notre regression linéaire.
      `getY` - La fonction (Getter) qui permet d'obtenir la valeur que l'on veut vérifier
      `setY` - La fonction (Setter) qui permet de remplacer la valeur si null.
      `allowNegative` - Savoir si une valeur négative est forcément aberrant.
    Returns:
      Le HashSet avec les valeurs remplacés.

  - ### nettoieColumnsLinear

    public static <T, V extends Number> HashSet<T> nettoieColumnsLinear(HashSet<T> list, Function<T,V> getX, Function<T,V> getY, BiConsumer<T,V> setY)
    Polymorphisme de la fonction nettoyage de colonne linéaire avec par défaut, l'autorisation des valeurs négatives.
    Type Parameters:
      `T` -
      `V` -
    Parameters:
      `list` -
      `getX` -
      `getY` -
      `setY` -
    Returns: